[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegion.CombineWith

Combines the specified source region using the given region operation.

## Declaration

Source position: lazregions.pas line 75

`public procedure TLazRegion.CombineWith(`
`ASrcRegion: TLazRegion;`
`AOperation: LongInt`
`);`

## Arguments

`ASrcRegion` |  | Source region with values applied in the method.
`AOperation` |  | Combine region flag with the operation to perform for the subregions.

## Description

ASrcRegion is the source region with the Parts applied in the method.

AOperation can contain a Combine Region flag that includes:

- RGN_AND (1)
- RGN_OR (2)
- RGN_XOR (3)
- RGN_DIFF (4)
- RGN_COPY(5)

Remark: | In the current LCL version, only RGN_COPY and RGN_OR are implemented; all other values are ignored and no actions are performed in the method. RGN_COPY causes the Parts in ASrcRegion to be assigned to the Parts in the current class instance. RGN_OR cause the Parts in ASrcRegion to the be added to the Parts in the current class instance.